INPUT_SET_EVENTS_PER(9)

NAME
input_set_events_per_packet - tell handlers about the driver event rate

SYNOPSIS

void input_set_events_per_packet(struct input_dev * dev, int n_events);

ARGUMENTS

dev
    the input device used by the driver

n_events
    the average number of events between calls to input_sync

DESCRIPTION

If the event rate sent from a device is unusually large, use this function to set the expected event rate. This will allow handlers to set up an appropriate buffer size for the event stream, in order to minimize information loss.

COPYRIGHT